# Uses of Interface
org.eclipse.emf.cdo.common.revision.CDORevisionCache

Packages that use CDORevisionCache
Package
Description
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.

## Uses of CDORevisionCache in org.eclipse.emf.cdo.common.revision

Fields in org.eclipse.emf.cdo.common.revision declared as CDORevisionCache
Modifier and Type
Field
Description
`static final CDORevisionCache`
CDORevisionCache.`NOOP`
Methods in org.eclipse.emf.cdo.common.revision that return CDORevisionCache
Modifier and Type
Method
Description
`static CDORevisionCache`
CDORevisionUtil.`createRevisionCache(boolean supportingAudits, boolean supportingBranches)`
Creates and returns a new memory sensitive revision cache.
`CDORevisionCache`
CDORevisionCache.AdditionEvent.`getSource()`
`CDORevisionCache`
CDORevisionCache.EvictionEvent.`getSource()`
Methods in org.eclipse.emf.cdo.common.revision with parameters of type CDORevisionCache
Modifier and Type
Method
Description
`static CDORevisionManager`
CDORevisionUtil.`createRevisionManager(CDORevisionCache cache)`

## Uses of CDORevisionCache in org.eclipse.emf.cdo.spi.common.revision

Subinterfaces of CDORevisionCache in org.eclipse.emf.cdo.spi.common.revision
Modifier and Type
Interface
Description
`interface`
`InternalCDORevisionCache`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.cdo.spi.common.revision with parameters of type CDORevisionCache
Modifier and Type
Method
Description
`void`
DelegatingCDORevisionManager.`setCache(CDORevisionCache cache)`
`void`
InternalCDORevisionManager.`setCache(CDORevisionCache cache)`